#!/usr/local/bin/perl
$mail_prog = '/usr/sbin/sendmail' ;
&GetFormInput;
$login = $field{'login'} ;	
$ps = $field{'pass'}; 
	 
	 sub GetFormInput {

	(*fval) = @_ if @_ ;

	local ($buf);
	if ($ENV{'REQUEST_METHOD'} eq 'POST') {
		read(STDIN,$buf,$ENV{'CONTENT_LENGTH'});
	}
	else {
		$buf=$ENV{'QUERY_STRING'};
	}
	if ($buf eq "") {
			return 0 ;
		}
	else {
 		@fval=split(/&/,$buf);
		foreach $i (0 .. $#fval){
			($name,$val)=split (/=/,$fval[$i],2);
			$val=~tr/+/ /;
			$val=~ s/%(..)/pack("c",hex($1))/ge;
			$name=~tr/+/ /;
			$name=~ s/%(..)/pack("c",hex($1))/ge;

			if (!defined($field{$name})) {
				$field{$name}=$val;
			}
			else {
				$field{$name} .= ",$val";
				
			}


		   }
		}
return 1;
}

use Fcntl;
use NDBM_File;


tie %hashh, "NDBM_File", "/web/012/wmclicks/public_html/adv/logs/$login", O_RDWR, 0644;
$pass = $hashh{pass};
untie %hashh;

if ($pass eq $ps)
{
tie %hasht, "NDBM_File", "/web/012/wmclicks/public_html/adv/tun/$login", O_RDWR, 0644;

$number=$hasht{number};
$box = $hasht{box};
$day = $hasht{day};
$hour = $hasht{hour};
$text = $hasht{text};
untie %hasht;


print "Content-Type: text/html\n\n";
print "<html><head><meta http-equiv=Content-Type content='text/html; charset=windows-1251'><title>User Details.</title><link rel=stylesheet type=text/css href=http://wmclicks.com/1.css></head>";
print "<body bgcolor=#00c392 background=http://wmclicks.com/bg.gif topmargin=0><script language=javascript>";
print "u=\"u1542.50.spylog.com\";d=document;nv=navigator;na=nv.appName;p=1;";
print "bv=Math.round(parseFloat(nv.appVersion)*100);";
print "n=(na.substring(0,2)==\"Mi\")?0:1;rn=Math.random();z=\"p=\"+p+\"&rn=\"+rn+\"&tl=0&ls=0&ln=0\";y=\"\";";
print "y+=\"<img src='http://\"+u+\"/cnt?\"+z+";
print "\"&r=\"+escape(d.referrer)+\"&pg=\"+escape(window.location.href)+\"' border=0 width=1 height=1 alt='SpyLOG'>\";";
print "d.write(y);if(!n) { d.write(\"<\"+\"!--\"); }//--></script><noscript>";
print "<img src=\"http://u1542.50.spylog.com/cnt?p=1\" alt='SpyLOG' border='0' width=1 height=1 >";
print "</noscript><script language=javascript1.2><!--";
print "if(!n) { d.write(\"--\"+\">\"); }//--></script>";
print "<table width=600 border=0 align=center cellspacing=0 cellpadding=0><tr><td align=center width=230 colspan=2><img src=http://wmclicks.com/logo.gif></td>";
print "<td width=475><!-- RLE --><iframe src=http://www.linkexchange.ru/cgi-bin/erle.cgi?39536?184650 frameborder=0 vspace=0 hspace=0 width=468 height=60 marginwidth=0 marginheight=0 scrolling=no>";
print "<a href=http://www.linkexchange.ru/users/039536/goto.map target=_top><img src=http://www.linkexchange.ru/cgi-bin/rle.cgi?39536?184650 alt=RLE Banner Network border=0></a></iframe> ";
print "<!-- RLE --></td></tr></table><p class=mn><table width=600 border=0 cellspacing=0 cellpadding=0 align=center height=100%>";
print "<tr><td width=13><img src=http://wmclicks.com/corn.gif></td><td bgcolor=#006c00 width=100% valign=middle><font color=#91e1cd>W M - C L I C K S -&gt; U s e r &nbsp; $login &nbsp; d e t a i l s</font></td><td width=13 align=right><img src=http://wmclicks.com/cornr.gif></td></tr><tr>"; 
print "<td colspan=3><table width=100% border=1 cellspacing=0 cellpadding=3 bordercolor=#006c00><tr><td rowspan=5 valign=top bgcolor=#91e1cd>";
print "<p align=center><a href=\"http://casi.ru\"><font color=#000000>Клуб Casi.ru: вклады под проценты, обмен посетителями, кликами, регистрациями</font></a>";

print "<p align=center><b>Ваши настройки:</b><p align=center>&nbsp;";
print "<div align=center><center><table border=0 cellpadding=0 cellspacing=0 width=100% height=100%><tr><td width=0 valign=top><FORM METHOD=POST ACTION=http://wmclicks.com/cgi-bin/adv/savetun.pl>";
print "<input type=hidden name=login value=$login>";
print "<center>Максимальное количество посетителей Вашего сайта в день:</center>";
print "<input type=text name=number class=fr value=$number>";

if ($box == 1)
{
print "<p class=mn>Аккаунт включается сразу после поступления денег на счет <input type=\"radio\" name=\"R1\" value=\"v1\" class=\"fr\" checked>";
}
else
{
print "<p class=mn>Аккаунт включается сразу после поступления денег на счет <input type=\"radio\" name=\"R1\" value=\"v1\" class=\"fr\">";
}

if ($box == 2)
{
print "<p class=mn>Аккаунт включается в 0:00 на следующий день <input type=\"radio\" name=\"R1\" value=\"v2\" class=\"fr\" checked>";
}
else
{
print "<p class=mn>Аккаунт включается в 0:00 на следующий день <input type=\"radio\" name=\"R1\" value=\"v2\" class=\"fr\">";
}

if ($box == 3)
{
print "<p class=mn>Аккаунт включается пользователем <input type=\"radio\" name=\"R1\" value=\"v3\" class=\"fr\" checked>";
}
else
{
print "<p class=mn>Аккаунт включается пользователем <input type=\"radio\" name=\"R1\" value=\"v3\" class=\"fr\">";
}

#DAY TARGETING
@days=split (/,/,$day);

foreach $k (@days)
{
	if ($k == 1)
	{
	$pn=1;
	
	}
	if ($k == 2)
	{
	$vt=1;
	
	}
	if ($k == 3)
	{
	$sr=1;
	
	}
	if ($k == 4)
	{
	$cht=1;
	
	}
	if ($k == 5)
	{
	$pt=1;
	
	}
	if ($k == 6)
	{
	$sb=1;
	
	}
	if ($k == 7)
	{
	$vs=1;
	
	}
}

print "<p align=center class=mn><b>Выберите нужные Вам дни для получения визитов:</b>";

	if ($pn == 1)
	{
	print "<p class=mn>Понедельник <input type=\"checkbox\" name=\"C1\" checked></p>";
	}
	else
	{
	print "<p class=mn>Понедельник <input type=\"checkbox\" name=\"C1\"></p>";
	}
	
	if ($vt == 1)
	{
	print "<p class=mn>Вторник&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C2\" checked></p>";
	}	
	else
	{
	print "<p class=mn>Вторник&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C2\"></p>";
	}	
	
	
	if ($sr == 1)
	{
	print "<p class=mn>Среда&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C3\" checked></p>";
	}
	else
	{
	print "<p>Среда&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C3\"></p>";
	}
	
	if ($cht == 1)
	{
	print "<p class=mn>Четверг&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C4\" checked></p>";
	}
	else
	{
	print "<p>Четверг&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C4\"></p>";
	}

	if ($pt == 1)
	{	
	print "<p class=mn>Пятница&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C5\" checked></p>";
	}
	else
	{
	print "<p class=mn>Пятница&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C5\"></p>";
	}
	
	if ($sb == 1)
	{
	print "<p class=mn>Суббота&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C6\" checked></p>";
	}
	else
	{
	print "<p class=mn>Суббота&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type=\"checkbox\" name=\"C6\"></p>";
	}

	if ($vs == 1)
	{
	print "<p class=mn>Воскресенье&nbsp; <input type=\"checkbox\" name=\"C7\" checked></p>";
	}
	else
	{
	print "<p class=mn>Воскресенье&nbsp; <input type=\"checkbox\" name=\"C7\"></p>";
	}


#HOUR TARGETING
@hours=split (/,/,$hour);

foreach $k (@hours)
{
	if ($k == 1)
	{
	$a1=1;
	
	}
	if ($k == 2)
	{
	$a2=1;
	
	}
	if ($k == 3)
	{
	$a3=1;
	
	}
	if ($k == 4)
	{
	$a4=1;
	
	}
	if ($k == 5)
	{
	$a5=1;
	
	}
	if ($k == 6)
	{
	$a6=1;
	
	}
	if ($k == 7)
	{
	$a7=1;
	
	}
	if ($k == 8)
	{
	$a8=1;
	
	}
	if ($k == 9)
	{
	$a9=1;
	
	}
	if ($k == 10)
	{
	$a10=1;
	
	}
	if ($k == 11)
	{
	$a11=1;
	
	}
	if ($k == 12)
	{
	$a12=1;
	
	}
	if ($k == 13)
	{
	$p1=1;
	
	}
	if ($k == 14)
	{
	$p2=1;
	
	}
	if ($k == 15)
	{
	$p3=1;
	}
	if ($k == 16)
	{
	$p4=1;
	}
	if ($k == 17)
	{
	$p5=1;
	}
	if ($k == 18)
	{
	$p6=1;
	}
	if ($k == 19)
	{
	$p7=1;
	}
	if ($k == 20)
	{
	$p8=1;
	}
	if ($k == 21)
	{
	$p9=1;
	}
	if ($k == 22)
	{
	$p10=1;
	}
	if ($k == 23)
	{
	$p11=1;
	}
	if ($k == 24)
	{
	$p12=1;
	}
	
}
print "<p align=center><b>Желаемое время для получения посетителей:</b>";

	print "<table border=0 cellpadding=0 cellspacing=0>";
	print "<tr><td>";
	if ($a1 == 1)
	{
	print "<p>0.00 - 1.00 <input type=\"checkbox\" name=\"V1\" checked></p>";
	}
	else
	{
	print "<p>0.00 - 1.00 <input type=\"checkbox\" name=\"V1\"></p>";
	}
	
	if ($a2 == 1)
	{
	print "<p>1.00 - 2.00<input type=\"checkbox\" name=\"V2\" checked></p>";
	}	
	else
	{
	print "<p>1.00 - 2.00<input type=\"checkbox\" name=\"V2\"></p>";
	}	
	
	
	if ($a3 == 1)
	{
	print "<p>2.00 - 3.00<input type=\"checkbox\" name=\"V3\" checked></p>";
	}
	else
	{
	print "<p>2.00 - 3.00<input type=\"checkbox\" name=\"V3\"></p>";
	}
	
	if ($a4 == 1)
	{
	print "<p>3.00 - 4.00<input type=\"checkbox\" name=\"V4\" checked></p>";
	}
	else
	{
	print "<p>3.00 - 4.00<input type=\"checkbox\" name=\"V4\"></p>";
	}

	if ($a5 == 1)
	{	
	print "<p>4.00 - 5.00<input type=\"checkbox\" name=\"V5\" checked></p>";
	}
	else
	{
	print "<p>4.00 - 5.00<input type=\"checkbox\" name=\"V5\"></p>";
	}
	
	if ($a6 == 1)
	{
	print "<p>5.00 - 6.00<input type=\"checkbox\" name=\"V6\" checked></p>";
	}
	else
	{
	print "<p>5.00 - 6.00<input type=\"checkbox\" name=\"V6\"></p>";
	}

	if ($a7 == 1)
	{
	print "<p>6.00 - 7.00<input type=\"checkbox\" name=\"V7\" checked></p>";
	}
	else
	{
	print "<p>6.00 - 7.00<input type=\"checkbox\" name=\"V7\"></p>";
	}

	if ($a8 == 1)
	{
	print "<p>7.00 - 8.00<input type=\"checkbox\" name=\"V8\" checked></p>";
	}
	else
	{
	print "<p>7.00 - 8.00<input type=\"checkbox\" name=\"V8\"></p>";
	}
	
	if ($a9 == 1)
	{
	print "<p>8.00 - 9.00<input type=\"checkbox\" name=\"V9\" checked></p>";
	}
	else
	{
	print "<p>8.00 - 9.00<input type=\"checkbox\" name=\"V9\"></p>";
	}
	
	if ($a10 == 1)
	{
	print "<p>9.00 - 10.00<input type=\"checkbox\" name=\"V10\" checked></p>";
	}
	else
	{
	print "<p>9.00 - 10.00<input type=\"checkbox\" name=\"V10\"></p>";
	}
	
	if ($a11 == 1)
	{
	print "<p>10.00 - 11.00<input type=\"checkbox\" name=\"V11\" checked></p>";
	}
	else
	{
	print "<p>10.00 - 11.00<input type=\"checkbox\" name=\"V11\"></p>";
	}
	
	if ($a12 == 1)
	{
	print "<p>11.00 - 12.00<input type=\"checkbox\" name=\"V12\" checked></p>";
	}
	else
	{
	print "<p>11.00 - 12.00<input type=\"checkbox\" name=\"V12\"></p>";
	}
	print "</td><td>";
	if ($p1 == 1)
	{
	print "<p>12.00 - 13.00 <input type=\"checkbox\" name=\"V13\" checked></p>";
	}
	else
	{
	print "<p>12.00 - 13.00 <input type=\"checkbox\" name=\"V13\"></p>";
	}
	
	if ($p2 == 1)
	{
	print "<p>13.00 - 14.00<input type=\"checkbox\" name=\"V14\" checked></p>";
	}	
	else
	{
	print "<p>13.00 - 14.00<input type=\"checkbox\" name=\"V14\"></p>";
	}	
	
	
	if ($p3 == 1)
	{
	print "<p>14.00 - 15.00<input type=\"checkbox\" name=\"V15\" checked></p>";
	}
	else
	{
	print "<p>14.00 - 15.00<input type=\"checkbox\" name=\"V15\"></p>";
	}
	
	if ($p4 == 1)
	{
	print "<p>15.00 - 16.00<input type=\"checkbox\" name=\"V16\" checked></p>";
	}
	else
	{
	print "<p>15.00 - 16.00<input type=\"checkbox\" name=\"V16\"></p>";
	}

	if ($p5 == 1)
	{	
	print "<p>16.00 - 17.00<input type=\"checkbox\" name=\"V17\" checked></p>";
	}
	else
	{
	print "<p>16.00 - 17.00<input type=\"checkbox\" name=\"V17\"></p>";
	}
	
	if ($p6 == 1)
	{
	print "<p>17.00 - 18.00<input type=\"checkbox\" name=\"V18\" checked></p>";
	}
	else
	{
	print "<p>17.00 - 18.00<input type=\"checkbox\" name=\"V18\"></p>";
	}

	if ($p7 == 1)
	{
	print "<p>18.00 - 19.00<input type=\"checkbox\" name=\"V19\" checked></p>";
	}
	else
	{
	print "<p>18.00 - 19.00<input type=\"checkbox\" name=\"V19\"></p>";
	}

	if ($p8 == 1)
	{
	print "<p>19.00 - 20.00<input type=\"checkbox\" name=\"V20\" checked></p>";
	}
	else
	{
	print "<p>19.00 - 20.00<input type=\"checkbox\" name=\"V20\"></p>";
	}
	
	if ($p9 == 1)
	{
	print "<p>20.00 - 21.00<input type=\"checkbox\" name=\"V21\" checked></p>";
	}
	else
	{
	print "<p>20.00 - 21.00<input type=\"checkbox\" name=\"V21\"></p>";
	}
	
	if ($p10 == 1)
	{
	print "<p>21.00 - 22.00<input type=\"checkbox\" name=\"V22\" checked></p>";
	}
	else
	{
	print "<p>21.00 - 22.00<input type=\"checkbox\" name=\"V22\"></p>";
	}
	
	if ($p11 == 1)
	{
	print "<p>22.00 - 23.00<input type=\"checkbox\" name=\"V23\" checked></p>";
	}
	else
	{
	print "<p>22.00 - 23.00<input type=\"checkbox\" name=\"V23\"></p>";
	}
	
	if ($p12 == 1)
	{
	print "<p>23.00 - 24.00<input type=\"checkbox\" name=\"V24\" checked></p>";
	}
	else
	{
	print "<p>23.00 - 24.00<input type=\"checkbox\" name=\"V24\"></p>";
	}
	print "</td></tr></table>";

	print "<p align=center><b>Комментарий:</b>";
	print "<p align=center>(Если Вы хотите дать описание Вашему сайту или написать какие-то пожелания или замечания для пользователей. Размер текста должен быть не более 300 символов.)";
	print "<p align=center><textarea rows=\"5\" name=\"text\" cols=\"30\">$text</textarea>";

print "<br><br><input type=submit value=\"      Сохранить      \" style='background: #00c392; font-face:Verdana; font-size: 9pt'></FORM></td>";
print "<td valign=top align=right><img src=http://wmclicks.com/reg.gif hspace=10></td></tr></table></center></div>";
print "</td><td width=150 align=center bgcolor=#91e1cd height=25><b>Для посетителей</b></td></tr><tr>";
print "<td width=150 bgcolor=#006c00 valign=top><FORM METHOD=POST ACTION=http://wmclicks.com/cgi-bin/enter.pl><font color=#91e1cd>Логин:<br></font><input type=text name=login class=fr><br><font color=#91e1cd>Пароль:<br></font><input type=password name=pass class=fr>";
print "<p class=mn><input type=submit value=\" Вход \" style='background: #00c392; font-face:Verdana; font-size: 9pt'></p>";
print "</FORM><p class=s><a href=http://wmclicks.com/cgi-bin/regform.pl>Регистрация</a></p><p class=s><a href=http://wmclicks.com/qvest.html>Вопросы и ответы<br><br></a></p></td></tr><tr><td width=150 align=center bgcolor=#91e1cd height=25><b>Для рекламодателей</b></td></tr><tr>";
print "<td width=150 bgcolor=#006c00 valign=top><FORM METHOD=POST ACTION=http://wmclicks.com/cgi-bin/adventer.pl><font color=#91e1cd>Логин:<br></font><input type=text name=login class=fr><br><font color=#91e1cd>Пароль:<br></font><input type=password name=pass class=fr>";
print "<p class=mn><input type=submit value=\" Вход \" style='background: #00c392; font-face:Verdana; font-size: 9pt'></p></FORM><p class=s><a href=http://wmclicks.com/adv_reg.html>Регистрация</a></p><p class=s><a href=http://wmclicks.com/adv_qvest.html>Вопросы и ответы<br>";
print "<br></a></p></td></tr><tr><td width=150 bgcolor=#006c00 valign=bottom align=right><p class=mn align=left><script language=javascript>";
print "d=document;rn=Math.random();";
print "y=\"<a href='http://u1542.50.spylog.com/cnt?f=3&rn=\"+rn+\"' target=_blank><img src='http://u1542.50.spylog.com/cnt?\";";
print "y+=\"p=1&f=4&rn=\"+rn+\"' border=0 width=88 height=31 ></a>\"; d.write(y);";
print "</script><noscript><a href=http://u1542.50.spylog.com/cnt?f=3&p=1 target=_blank>";
print "<img src=http://u1542.50.spylog.com/cnt?p=1&f=4 alt='SpyLOG' border='0' width=88 height=31 ></a></noscript></p><font color=#91e1cd size=1>Web Design by<br><a href=mailto:admin\@wmclicks.com>WM-Clicks</a> &copy;</font></td></tr></table></td></tr></table></body></html>";
}
